﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using Steema.TeeChart.Functions;
using Steema.TeeChart;
using System.Drawing.Drawing2D;
using Steema.TeeChart.Drawing;
using System.Runtime.Serialization;
using Steema.TeeChart.Export;

namespace TestVisualStudio2010
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            tChart1 = new TChart();
            this.Controls.Add(tChart1);
            //tChart1.Dock = DockStyle.Fill;
            tChart1.Top = 150;
            tChart1.Left = 100;
            tChart1.Height = 400;
            tChart1.Width = 550;
            tChart1.Aspect.View3D = false;
            InitializeChart();
        }
        private void InitializeChart()
        {

            Steema.TeeChart.Styles.Bar bar1 = new Steema.TeeChart.Styles.Bar(tChart1.Chart);
            Steema.TeeChart.Tools.Annotation an = new Steema.TeeChart.Tools.Annotation(tChart1.Chart);
            bar1.FillSampleValues();
            an.Text = "A";
            an.TextAlign = StringAlignment.Center;
            button1.Click += button1_Click;
            checkBox1.Checked = true;
            checkBox2.Checked = false;
            checkBox3.Checked = false;
            checkBox1.CheckedChanged += checkBox1_CheckedChanged;
            checkBox2.CheckedChanged += checkBox2_CheckedChanged;
            checkBox3.CheckedChanged += checkBox3_CheckedChanged;
        }

        void checkBox3_CheckedChanged(object sender, EventArgs e)
        {
            Steema.TeeChart.Tools.Annotation tool = (tChart1.Tools[0] as Steema.TeeChart.Tools.Annotation);
            if (checkBox3.Checked)
            {
                tool.TextAlign = StringAlignment.Far;
                checkBox1.Checked = false;
                checkBox2.Checked = false;
            }
        }

        void checkBox2_CheckedChanged(object sender, EventArgs e)
        {
            Steema.TeeChart.Tools.Annotation tool = (tChart1.Tools[0] as Steema.TeeChart.Tools.Annotation);
            if (checkBox2.Checked)
            {
                tool.TextAlign = StringAlignment.Near;
            }
            checkBox1.Checked = false;
            checkBox3.Checked = false;
        }

        void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            Steema.TeeChart.Tools.Annotation tool = (tChart1.Tools[0] as Steema.TeeChart.Tools.Annotation);
            if (checkBox1.Checked)
            {
                tool.TextAlign = StringAlignment.Center;
            }
            checkBox2.Checked = false;
            checkBox3.Checked = false;
        }

        void button1_Click(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
    //    public Form1()
    //    {
    //        InitializeComponent();
    //        MyBar bar1 = new MyBar(tChart1.Chart);
    //        MyBar bar2 = new MyBar(tChart1.Chart);
    //        bar1.FillSampleValues();
    //        bar2.FillSampleValues();
    //        bar1.MyCustomTitle = "Series1";
    //        bar2.MyCustomTitle = "Series2";
    //        bar1.MyKey = 22;
    //        bar2.MyKey = 32;
    //        bar1.MyTitleObj = new TitleObj(22, "Series1");
    //        bar2.MyTitleObj = new TitleObj(32, "Series2"); 
    //        tChart1.Export.Template.IncludeData = true; 
    //        tChart1.Export.Template.Save(@"TChart1.ten");
    //    }
    //    private void button1_Click(object sender, EventArgs e)
    //    {
    //        tChart1.Series.Clear();
    //        tChart1.Import.Template.Load(@"TChart1.ten");
    //        tChart1.Header.Text = ((MyBar)tChart1[0]).MyTitleObj.ObjName;
    //        tChart1.SubHeader.Visible = true;
    //        tChart1.SubHeader.Text = ((MyBar)tChart1[1]).MyTitleObj.ObjName; 
    //    }
    //    private void button2_Click(object sender, EventArgs e)
    //    {
    //        tChart1.ShowEditor();
    //    }
    //}
    //public class MyBar : Steema.TeeChart.Styles.Bar, TemplateExport.ICustomSerialization
    //{
    //    private string CustomTitle = "";
    //    private int key = 0;
    //    private TitleObj myTitleObj;
    //    public MyBar() : this((Chart)null) { }
    //    public MyBar(Chart c): base(c)
    //    {
    //        CustomTitle = " Title2 ";
    //    }
    //    public string MyCustomTitle
    //    {
    //        get { return CustomTitle; }
    //        set { CustomTitle = value; }
    //    }
    //    public int MyKey
    //    {
    //        get { return key; }
    //        set { key = value; }
            
    //    }
    //    public void setMyTitle(int i, string s)
    //    {
    //        myTitleObj = new TitleObj(i, s);
    //    } 
    //    public TitleObj MyTitleObj
    //    {
    //        get { return myTitleObj; }
    //        set { myTitleObj = value; }
    //    }
    //    public void Serialize(SerializationInfo info)
    //    {
                     
    //        info.AddValue(this.Chart.Series.IndexOf(this).ToString()+"MyTitleObj", MyTitleObj.ObjName, MyTitleObj.ObjName.GetType());
    //        info.AddValue(this.Chart.Series.IndexOf(this).ToString() + "Mykey", MyTitleObj.ObjKey); 
        
    //    }
    //    public void DeSerialize(SerializationInfo info)
    //    {
    //        myTitleObj = new TitleObj(info.GetInt32(this.Chart.Series.IndexOf(this).ToString() + "Mykey"), info.GetString(this.Chart.Series.IndexOf(this).ToString() + "MyTitleObj")); 
    //    }
    //}
    //public class TitleObj
    //{
    //    private string Name;
    //    private int key;
    //    public TitleObj(int i, string s)
    //    {
    //        Name= s;
    //        key= i;
    //    }
    //    public int ObjKey
    //    {
    //        get { return key; }
    //        set { key = value; }   
    //    }
    //    public string ObjName
    //    {
    //        get { return Name; }
    //        set { Name= value; }
    //    }
    }

}
    
 